> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Personas

> List all simulation personas.



## OpenAPI

````yaml /openapi-v1.json get /api/v1/simulation/personas
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/simulation/personas:
    get:
      tags:
        - Simulation
      summary: List Personas
      description: List all simulation personas.
      operationId: core_api_v1_controllers_simulation_list_personas
      parameters:
        - in: query
          name: page
          schema:
            default: 1
            title: Page
            type: integer
          required: false
        - in: query
          name: page_size
          schema:
            default: 50
            title: Page Size
            type: integer
          required: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SimulationPersonaListOut'
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    SimulationPersonaListOut:
      description: Paginated list response for simulation personas.
      properties:
        object:
          default: list
          title: Object
          type: string
        data:
          items:
            $ref: '#/components/schemas/SimulationPersonaOut'
          title: Data
          type: array
        has_more:
          title: Has More
          type: boolean
        total:
          title: Total
          type: integer
      required:
        - data
        - has_more
        - total
      title: SimulationPersonaListOut
      type: object
    SimulationPersonaOut:
      description: Response schema for simulation personas.
      properties:
        object:
          default: simulation_persona
          title: Object
          type: string
        id:
          title: Id
          type: string
        name:
          title: Name
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        role:
          anyOf:
            - type: string
            - type: 'null'
          title: Role
        behavior_notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Behavior Notes
        agent_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Agent Id
        agent_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Agent Name
        custom_llm_temperature:
          anyOf:
            - type: number
            - type: 'null'
          title: Custom Llm Temperature
        enabled_tool_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Enabled Tool Ids
        user_overrides:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: User Overrides
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated At
      required:
        - id
        - name
      title: SimulationPersonaOut
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````